Bug 1957590 - cluster status text 'updating' is not pseudo translated
Summary: cluster status text 'updating' is not pseudo translated
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Steve Goodwin
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-06 05:46 UTC by Yadan Pei
Modified: 2022-05-09 08:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Cluster Status text 'updating' not translated (520.42 KB, image/png)
2021-05-06 05:46 UTC, Yadan Pei
no flags Details
Cluster Status text 'updating' is not translated (211.96 KB, image/png)
2021-05-17 05:46 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8889 0 None open Bug 1957590: Translation of cluster updating message 2021-05-11 14:36:16 UTC

Description Yadan Pei 2021-05-06 05:46:54 UTC
Created attachment 1780113 [details]
Cluster Status text 'updating' not translated

Description of problem:
when a cluster is upgrading, Cluster status shows text 'Updating' it should be translated 

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-04-30-201824

How reproducible:
Always

Steps to Reproduce:
1. trigger cluster upgrade using `oc adm upgrade --to=VERSION --force`
2. check pseudolocalizations on Home -> Overview -> Status card


Actual results:
2. 'Cluster' status shows text 'updating'

Expected results:
2. the text 'updating' should be translated

Additional info:

Comment 2 Yadan Pei 2021-05-17 05:46:54 UTC
Created attachment 1783919 [details]
Cluster Status text 'updating' is not translated

The update message in ongoing activity is translated but the message in cluster status was not i18ned, see new attachment

Comment 3 Steve Goodwin 2021-06-28 18:41:42 UTC
That specific Cluster 'Updating' message status is coming from the API, so it will not be translated.

Comment 4 Yadan Pei 2021-07-12 02:09:00 UTC
based on comment 2 and comment 3, the text 'Updating' message is coming from API, so it can not be translated

Moving to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.